## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.BinaryIO

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO

Direct Known Subclasses:
  BinaryResourceImpl.EObjectInputStream, BinaryResourceImpl.EObjectOutputStream

Enclosing class:
  BinaryResourceImpl

    public static class BinaryResourceImpl.BinaryIO

extends java.lang.Object

Nested Class Summary
`protected static class` `BinaryResourceImpl.BinaryIO.FeatureKind`
`static class` `BinaryResourceImpl.BinaryIO.Version`

Field Summary
`protected URI` `baseURI`
`protected char[]` `characters`
`protected FeatureMap.Entry.Internal[][]` `featureMapEntryDataArrayBuffer`
`protected int` `featureMapEntryDataArrayBufferCount`
`protected InternalEObject[][]` `internalEObjectDataArrayBuffer`
`protected int` `internalEObjectDataArrayBufferCount`
`protected java.util.Map<?,?>` `options`
`protected Resource` `resource`
`protected BinaryResourceImpl.BinaryIO.Version` `version`

Constructor Summary
`BinaryResourceImpl.BinaryIO()`

Method Summary
`protected FeatureMap.Entry.Internal[]` `allocateFeatureMapEntryArray(int length)`
`protected InternalEObject[]` `allocateInternalEObjectArray(int length)`
`protected URI` `deresolve(URI uri)`
`protected void` `recycle(FeatureMap.Entry.Internal[] values)`
`protected void` `recycle(InternalEObject[] values)`
`protected URI` `resolve(URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    protected BinaryResourceImpl.BinaryIO.Version version

### resource

    protected Resource resource

### baseURI

    protected URI baseURI

### options

    protected java.util.Map<?,?> options

### characters

    protected char[] characters

### internalEObjectDataArrayBuffer

    protected InternalEObject[][] internalEObjectDataArrayBuffer

### internalEObjectDataArrayBufferCount

    protected int internalEObjectDataArrayBufferCount

### featureMapEntryDataArrayBuffer

    protected FeatureMap.Entry.Internal[][] featureMapEntryDataArrayBuffer

### featureMapEntryDataArrayBufferCount

    protected int featureMapEntryDataArrayBufferCount

Constructor Detail

### BinaryResourceImpl.BinaryIO

    public BinaryResourceImpl.BinaryIO()

Method Detail

### resolve

    protected URI resolve(URI uri)

### deresolve

    protected URI deresolve(URI uri)

### allocateInternalEObjectArray

    protected InternalEObject[] allocateInternalEObjectArray(int length)

### recycle

    protected void recycle(InternalEObject[] values)

### allocateFeatureMapEntryArray

    protected FeatureMap.Entry.Internal[] allocateFeatureMapEntryArray(int length)

### recycle

    protected void recycle(FeatureMap.Entry.Internal[] values)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.